Loomio

Installing plugins when using Docker

H
Hugi Ásgeirsson Public Seen by 77

How do I install plugins when using prebuilt Docker images? Specifically, I'd like to install loomio_tags for the Borderland Talk Loomio. I've got my own forks of Loomio and loomio-deploy set up and my own Docker hooked to my Loomio repo. I've tried creating a plugins.yml pointing to loomio/loomio_tags but when building the docker image I get a non-zero code 11. What's going on here?

RG

Rob Guthrie Sun 4 Feb 2018

Hi @hugi.

Great question.
There is a loomio-deploy/plugins folder, which is mapped into the application image. Put plugins in this folder and they'll be included at app boot time.

H

Hugi Ásgeirsson Sun 4 Feb 2018

Looking at the Loomio Deploy repo, but no plugins folder. If I add one to our fork. will it get added? Does the whole plugin folder go there, or just a plugins.yml with references to repos?

RG

Rob Guthrie Sun 4 Feb 2018

Sorry! I mean, on your server, create a plugins folder (but I suspect it will already exist) and plop your whole plugin in a folder inside the plugins folder.

So you have plugins/make-loomio-green and plugins/loomio_tags etc.

It's git ignored from the loomio repo, so plugins have their own git repo each, and we don't dictate what plugins you run.

JK

James Kiesel Mon 5 Feb 2018

So, something like

ssh root@your.instance
cd loomio-deploy/plugins
git clone https://github.com/loomio/loomio_tags.git
docker-compose down; docker-compose up -d

should get you going here

H

Hugi Ásgeirsson Mon 5 Feb 2018

Worked, perfect! Thanks again! :)

M

Max Sat 18 Jan 2020

Hi! I'm helping Hugi managing our beautiful Loomio deployment and after upgrading to 2.0 our sweet tiny flavour translations plugin stopped working... It's no longer loaded into the app (running Plugin.included_modules gives empty array).

Is there any new black magic included in 2.0 that we need to perform? :)

Plugin repo here: https://github.com/theborderland/loomio_talk_translations

H

Hugi Ásgeirsson Sat 18 Jan 2020

Ping @Rob Guthrie

RG

Rob Guthrie Sat 18 Jan 2020

Hi @Max. Support for plugins within the Loomio 2.0 client has been removed. Your translation plugin was the only plugin created outside of the Loomio team, as far as I'm aware.

The way we load translations into the client has completely changed (they're faster and more reliable) but it means we don't load the translations from the server, so you can't overwrite certain keys via ruby, they're built into the client at compile time (via node) and served statically. So any solution will need to be done within the Vue client.

I did consider you and your use case when I was doing this, we intend to make the polls user configurable this year, so you can create a poll template called an "advice round", and remove the unwanted poll types, rather than hacking a translation file. But we're not there yet.

M

Max Sun 19 Jan 2020

Gotcha, we'll have a lookie-loo at if we want to fix this in the interim by building our own loomio image. Thanks for the quick response! We all feel very spoiled with the weekend support! ❤️😃

M

MountsBressler Fri 31 Jan 2020

How to install plugins to wordpress free blog or website? i recently made a website Application development texas and i want to know how to use some plugins in wordpress


Item removed